SPLIT(1)

NAMN
split — dela upp en fil i delar

SYNOPSIS
split [FLAGGA]... [FIL [PREFIX]]

BESKRIVNING

Skriv ut delar av FIL till PREFIXaa, PREFIXab, …;standardstorlek är 1000 rader, och standardPREFIX är ”x”.

Utan FIL, eller när FIL är -, läs standard in.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-a, --suffix-length=N
    Använd ändelser av längd N (standard 2).

--additional-suffix=ÄNDELSE
    Lägg till en extra ÄNDELSE på filnamn.

-b, --bytes=STORLEK
    Placera STORLEK byte i varje utfil.

-C, --line-bytes=STORLEK
    Placera max STORLEK byte med poster per utfil.

-d  Använd numeriska suffix från 0, inte alfabetiska.

--numeric-suffixes[=FRÅN]
    Samma som -d, men tillåt att startvärdet sätts.

-x  Använd hex-suffix från 0, inte alfabetiska.

--hex-suffixes[=FRÅN]
    Samma som -x, men tillåt att startvärdet sätts.

-e, --elide-empty-files
    Generera inte tomma utfiler med -n.

--filter=KOMMANDO
    Skriv till skalKOMMANDO; filnamnet är $FILE.

-l, --lines=ANTAL
    Placera ANTAL rader/poster i varje utfil.

-n, --number=BITAR
    Generera BITAR utfiler; se förklaring nedan.

-t, --separator=SEP
    Använd SEP istället för nyrader som postseparator; '\0' (noll) anger NOLL-tecknet.

-u, --unbuffered
    Kopiera omedelbart indata till utdata med ”-n r/…”.

--verbose
    Skriv ett meddelande strax före varje utfil öppnas.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Argumentet STORLEK är ett heltal och eventuell enhet (exempel: 10K är 10·1024). Enheter är K, M, G, T, P, E, Z, Y (potenser av 1024) eller KB, MB, … (potenser av 1000). Binära prefix kan också användas: KiB=K, MiB=M, och så vidare.

  BITAR kan vara:

N   dela i N filer baserat på storleken på indata

K/N mata ut K:e av N till standard ut

l/N dela i N filer utan att dela rader/poster

l/K/N
    mata ut K:e av N till standard ut utan att dela rader/poster

r/N som ”l” men använd turordningsdistribution

r/K/N
    likadant men mata bara ut K:e av N till standard ut

UPPHOVSMAN
Skrivet av Torbjorn Granlund och Richard M. Stallman.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/split>
eller tillgängligt lokalt via: info '(coreutils) split invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.